Bug 474572 - Upgrade option not available when attempting upgrade on Dell 1850 via DRAC
Upgrade option not available when attempting upgrade on Dell 1850 via DRAC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 09:49 EST by Steve Whitehouse
Modified: 2009-12-18 02:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:09:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of hang (91.92 KB, image/jpeg)
2008-12-05 11:19 EST, Steve Whitehouse
no flags Details

  None (edit)
Description Steve Whitehouse 2008-12-04 09:49:46 EST
Description of problem:

The upgrade option is not available for selection (greyed out) when attempting to upgrade a previous Fedora installation on a Dell 1850 server via DRAC.

Version-Release number of selected component (if applicable):

Fedora-10-x86_64-netinst.iso

How reproducible:

Everytime

Steps to Reproduce:
1. Boot the system from the netinst iso
2. Click next until install/upgrade screen shows
  
Actual results:

It is impossible to select the upgrade option as it is greyed out

Expected results:

It should be possible to upgrade

Additional info:

I've upgraded this exact same machine before many times with previous Fedora installations and never had any problems. I have to use the CD rather than DVD since the DRAC only supports CDs.
Comment 1 Chris Lumens 2008-12-04 15:33:25 EST
It doesn't show the upgrade option either because the hardware your existing installation is on isn't being detected, or because there's something funny going on with the /etc/fedora-release file on your existing installation.

Can you attach /tmp/anaconda.log and /tmp/syslog to this bug report?  If you drop to tty2 and run lshal, does it know about your storage controller and disks?  Are the appropriate modules loaded?
Comment 2 Steve Whitehouse 2008-12-05 04:08:42 EST
Well the /etc/fedora-release file in the existing (FC-9) installation looks ok, but I can't change to another VT for some reason. I tried the usual ctrl-alt-f1 though -f7 and nothing seems to work. Is there another way to break out from the graphical installer at that point?
Comment 3 Chris Lumens 2008-12-05 10:09:44 EST
Sounds like X is preventing you from switching VTs.  There's not another way to break out of the installer, but you could start a vnc upgrade or text upgrade and then you'll be able to get to the shell on tty2.
Comment 4 Steve Whitehouse 2008-12-05 11:19:15 EST
Created attachment 325872 [details]
Screenshot of hang

I'll have a go with the CD image installer in a mo, once I get through my second attempt at installation via "preupgrade". That seemed to work ok until I got to the second reboot, at which point I landed up stuck (see attached screen shot). Now I wonder if for some reason the Fedora kernel doesn't like my Megaraid. Not sure why that would be a problem as I use this box for kernel development and it always has the latest & greatest kernels on it, and I've never seen a problem like that before.

Anyway, I'll try and post some more info later on.
Comment 5 Steve Whitehouse 2008-12-05 11:25:58 EST
So, I've gone back to my homebrew 2.6.28-rc5 kernel and it seems to boot just fine now. So it looks like a kernel issue, I'll reassign once I've gathered a bit more info.
Comment 6 Steve Whitehouse 2008-12-08 04:45:47 EST
Currently I'm stuck as the DRAC card is now refusing to accept remote media attachments. I've reset it, but I'm still seeing the same problem. I don't seem to  be having much luck with this :( It might be some time before I can get the netinst image booted again.
Comment 7 Bug Zapper 2009-11-18 05:19:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:09:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.